# phpMyAdmin MySQL-Dump
# version 2.2.5
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Mar 28, 2002 at 10:16 PM
# Server version: 3.23.41
# PHP Version: 4.1.2
# Database : `dnstools`
# --------------------------------------------------------

create database dnstools;

#
# Table structure for table `acl_table`
#

use dnstools;

DROP TABLE IF EXISTS acl_table;
CREATE TABLE acl_table (
  record int(11) NOT NULL auto_increment,
  acl_name text NOT NULL,
  acl_type enum('TRANSFER','QUERY') NOT NULL default 'TRANSFER',
  is_global enum('YES','NO') NOT NULL default 'YES',
  points_to_domain int(11) NOT NULL default '0',
  allow_ip_range_list text NOT NULL,
  allow_names_list text NOT NULL,
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Access Control Lists for zone transfers';
# --------------------------------------------------------

#
# Table structure for table `alias_table`
#

DROP TABLE IF EXISTS alias_table;
CREATE TABLE alias_table (
  record int(11) NOT NULL auto_increment,
  alias_name varchar(254) NOT NULL default '',
  points_to_host int(11) default NULL,
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Information for internal and external CNAME entries';
# --------------------------------------------------------

#
# Table structure for table `domain_table`
#

DROP TABLE IF EXISTS domain_table;
CREATE TABLE domain_table (
  record int(11) NOT NULL auto_increment,
  domain_name tinytext NOT NULL,
  needs_update enum('YES','NO') NOT NULL default 'NO',
  ns_type enum('PRIMARY','SECONDARY','DELEGATING') NOT NULL default 'PRIMARY',
  zone_transfer_ip varchar(15) NOT NULL default '',
  subdomain_points_to_domain int(11) NOT NULL default '0',
  email text NOT NULL,
  serial int(11) NOT NULL default '0',
  default_refresh int(11) NOT NULL default '0',
  default_retry int(11) NOT NULL default '0',
  default_expire int(11) NOT NULL default '0',
  default_ttl int(11) NOT NULL default '0',
  points_to_group int(11) NOT NULL default '0',
  use_notify enum('YES','NO') NOT NULL default 'YES',
  is_active enum('YES','NO') NOT NULL default 'YES',
  main_dnstools_domain enum('YES','NO') NOT NULL default 'NO',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='SOA Information';
# --------------------------------------------------------

#
# Table structure for table `forwarders_table`
#

DROP TABLE IF EXISTS forwarders_table;
CREATE TABLE forwarders_table (
  record mediumint(9) NOT NULL auto_increment,
  ip_address varchar(15) NOT NULL default '',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Forwarders table - used for forwarding requests';
# --------------------------------------------------------

#
# Table structure for table `global_table`
#

DROP TABLE IF EXISTS global_table;
CREATE TABLE global_table (
  data_directory text NOT NULL,
  bind_configuration_file varchar(255) NOT NULL default '',
  log_file_name varchar(255) NOT NULL default '',
  log_level tinyint(4) NOT NULL default '0',
  company_name tinytext NOT NULL,
  company_address tinytext NOT NULL,
  contact_info tinytext NOT NULL,
  administrator_email varchar(200) NOT NULL default '',
  cache_only_server enum('NO','YES') NOT NULL default 'NO',
  forward_only_server enum('NO','YES') NOT NULL default 'NO',
  recursive_server enum('YES','NO') NOT NULL default 'YES',
  active_transfers_per_server smallint(6) NOT NULL default '0',
  total_active_transfers smallint(6) NOT NULL default '0',
  duration_of_transfer smallint(6) NOT NULL default '0',
  data_segment_size mediumint(9) NOT NULL default '0',
  data_segment_size_scale enum('k','m','g') NOT NULL default 'k',
  stack_size mediumint(9) NOT NULL default '0',
  stack_size_scale enum('k','m','g') NOT NULL default 'k',
  core_size mediumint(9) NOT NULL default '0',
  core_size_scale enum('k','m','g') NOT NULL default 'k',
  max_open_files mediumint(9) NOT NULL default '0',
  cleaning_interval smallint(6) NOT NULL default '0',
  statistics_interval mediumint(9) NOT NULL default '0',
  database_is_locked enum('YES','NO') NOT NULL default 'NO',
  needs_update enum('YES','NO') NOT NULL default 'NO'
) TYPE=MyISAM COMMENT='DNSTools NG Global Table';
# --------------------------------------------------------

#
# Table structure for table `group_membership_table`
#

DROP TABLE IF EXISTS group_membership_table;
CREATE TABLE group_membership_table (
  record int(11) NOT NULL auto_increment,
  points_to_user int(11) NOT NULL default '0',
  points_to_group int(11) NOT NULL default '0',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Each row contains a user/group combination. Users are member';
# --------------------------------------------------------

#
# Table structure for table `group_table`
#

DROP TABLE IF EXISTS group_table;
CREATE TABLE group_table (
  record int(11) NOT NULL auto_increment,
  group_name varchar(40) NOT NULL default '',
  group_address blob NOT NULL,
  misc text NOT NULL,
  PRIMARY KEY  (record),
  UNIQUE KEY group_name (group_name)
) TYPE=MyISAM COMMENT='Customer Information';
# --------------------------------------------------------

#
# Table structure for table `help_table`
#

DROP TABLE IF EXISTS help_table;
CREATE TABLE help_table (
  record mediumint(9) NOT NULL auto_increment,
  help_name tinytext NOT NULL,
  help_description text NOT NULL,
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Help Table';
# --------------------------------------------------------

#
# Table structure for table `host_table`
#

DROP TABLE IF EXISTS host_table;
CREATE TABLE host_table (
  record int(11) NOT NULL auto_increment,
  host_name tinytext NOT NULL,
  octet_1 smallint(6) NOT NULL default '0',
  octet_2 smallint(6) NOT NULL default '0',
  octet_3 smallint(6) NOT NULL default '0',
  octet_4 smallint(6) NOT NULL default '0',
  registered_ip enum('NO','YES') NOT NULL default 'NO',
  points_to_domain int(11) NOT NULL default '0',
  hinfo_1 varchar(255) NOT NULL default '',
  hinfo_2 varchar(255) NOT NULL default '',
  ttl int(11) NOT NULL default '0',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Holds common entry information';
# --------------------------------------------------------

#
# Table structure for table `ip_range_table`
#

DROP TABLE IF EXISTS ip_range_table;
CREATE TABLE ip_range_table (
  record mediumint(9) NOT NULL auto_increment,
  points_to_domain mediumint(9) NOT NULL default '0',
  needs_update enum('YES','NO') NOT NULL default 'NO',
  octet_1 smallint(6) NOT NULL default '0',
  octet_2 smallint(6) NOT NULL default '0',
  octet_3 smallint(6) NOT NULL default '0',
  octet_4 smallint(6) NOT NULL default '0',
  bitmask smallint(6) NOT NULL default '0',
  serial mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='CIDR IP Ranges in form of A.B.C/D';
# --------------------------------------------------------

#
# Table structure for table `mx_table`
#

DROP TABLE IF EXISTS mx_table;
CREATE TABLE mx_table (
  record int(11) NOT NULL auto_increment,
  name text NOT NULL,
  priority tinyint(4) NOT NULL default '0',
  points_to_domain int(11) NOT NULL default '0',
  points_to_host int(11) NOT NULL default '0',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Mail Exchange table';
# --------------------------------------------------------

#
# Table structure for table `ns_table`
#

DROP TABLE IF EXISTS ns_table;
CREATE TABLE ns_table (
  record int(11) NOT NULL auto_increment,
  is_primary enum('YES','NO') NOT NULL default 'NO',
  name text NOT NULL,
  ip_address varchar(16) NOT NULL default '',
  points_to_domain int(11) NOT NULL default '0',
  PRIMARY KEY  (record)
) TYPE=MyISAM;
# --------------------------------------------------------

#
# Table structure for table `round_robin_table`
#

DROP TABLE IF EXISTS round_robin_table;
CREATE TABLE round_robin_table (
  record int(11) NOT NULL auto_increment,
  points_to_host int(11) NOT NULL default '0',
  octet_1 smallint(6) NOT NULL default '0',
  octet_2 smallint(6) NOT NULL default '0',
  octet_3 smallint(6) NOT NULL default '0',
  octet_4 smallint(6) NOT NULL default '0',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Round Robin information';
# --------------------------------------------------------

#
# Table structure for table `user_table`
#

DROP TABLE IF EXISTS user_table;
CREATE TABLE user_table (
  record int(11) NOT NULL auto_increment,
  user_name varchar(40) NOT NULL default '',
  password varchar(20) NOT NULL default '',
  full_name varchar(80) NOT NULL default '',
  work_phone varchar(30) NOT NULL default '',
  mobile_phone varchar(30) NOT NULL default '',
  pager_number varchar(30) NOT NULL default '',
  fax_number varchar(30) NOT NULL default '',
  email varchar(250) NOT NULL default '',
  address text NOT NULL,
  notes text NOT NULL,
  dnstools_administrator enum('NO','YES') NOT NULL default 'NO',
  PRIMARY KEY  (record)
) TYPE=MyISAM COMMENT='Individual User Information';

# phpMyAdmin MySQL-Dump
# version 2.2.2
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Feb 14, 2002 at 06:52 PM
# Server version: 3.23.41
# PHP Version: 4.0.6
# Database : `dnstools`

#
# Dumping data for table `help_table`
#

INSERT INTO help_table VALUES (1, 'new_host_step_1', 'This is the first step in adding a new host to a domain.<P>\r\nThe drop down list contains a list of domains that you have authority for based on your group permissions.<P>\r\nSelect the domain you wish to add a new host to and click "NEXT STEP ->".');
INSERT INTO help_table VALUES (2, 'new_host_step_2', 'On this screen you may enter an unregistered IP address for this host or you may select from a network IP range that this host will reside on based on the domain you selected from the last screen.<P>\r\nIf you see a drop down list that says "-=SELECT IP RANGE=-", then you have a set of IP ranges that are assigned to this domain.  This means that your domain is authoritative for reverse DNS for those IP ranges.<P>\r\nIf you do not see a drop down list, then this domain is not authoritative for any IP ranges and can only perform forward DNS lookups (name to IP).  Users will still be able to access this machine by it\'s DNS name, but when they perform a reverse DNS lookup (IP to name) this host name will not be returned.<P>\r\n\r\nYou must choose an IP range or enter the IP address on this screen.  If you choose an IP range, the next screen will allow you to choose a specific IP in that range.  If you choose to enter the IP address in the fields provided, the next screen will prompt you for additional host information.');
INSERT INTO help_table VALUES (3, 'new_host_step_3', 'This page allows you to select an IP address within the range that you specified on the last screen.<P>\r\nAll IP addresses are listed that have not already been taken by other hosts in this domain.  All available IP addresses are displayed in sequential order, though you may see gaps in between numbers as those addresses have already been used.<P>\r\nSelect the IP address you wish to use by clicking on the check box to the right of the IP, then scroll to the bottom of the page and click "NEXT STEP".');
INSERT INTO help_table VALUES (4, 'new_host_step_4', 'This screen allows you to enter all other data, such as the hostname, the Time To Live (TTL) value and miscellaneous hardware information (HINFO1 and HINFO2).<P>\r\nIt also lists the current IP address that you have assigned it, along with if this host has a registered IP address (forward and reverse DNS lookups) or a non-registered IP address (forward only DNS lookups).<P>\r\nIf you wish to add aliases (CNAMEs), round robin IP addresses or host-specific Mail Exchange (MX) records, you must submit this host first then go to the main Hosts screen, click List Hosts, select this domain, and then click on the appropriate button next to this host entry.');
INSERT INTO help_table VALUES (5, 'ttl', 'TTL stands for Time To Live.<P>\r\nTTL has a direct result on how fast name\r\nservers can resolve a name on the\r\ninternet and how long it takes for\r\na name to propogate across the internet.<P>\r\nThe value of TTL is in seconds, so 3600\r\nwould be 1 hour.<P>\r\nSetting a high TTL value would mean\r\nthat name servers on the internet would\r\ncache this information for a long time.\r\nThis might be good for addresses that\r\ndon\'t change often.<P>\r\nHowever, when you do need to change\r\nthe entry, it could take as long as the\r\nTTL value before the entire internet\r\nsees the new information.<P>\r\nSetting your TTL for several days is\r\nprobably not a bad idea unless you plan\r\non changing the information soon.  You\r\nwould normally set this to a very low\r\nvalue so that the internet would clear\r\nit\'s cached name information if you\r\nwere going to change the host information.');
INSERT INTO help_table VALUES (6, 'hostname', 'The hostname is the unique name within\r\nthe domain that identifies this computer.<P>\r\nA hostname can be comprised of alpha\r\nnumeric characters (A-Z, 0-9) and dashes.<P>\r\n<STRONG><EM>Underscores, dots (periods), slashes, \r\nexclamation points, etc are not\r\npermitted.</EM></STRONG><P>');
INSERT INTO help_table VALUES (7, 'ip_address', 'An IP (Internet Protocol) address\r\nis a series of 4 decimal numbers\r\nseparated by dots, or periods.<P>\r\nThe numbers can be 0 through 255.  The\r\nIP address is a 32-bit number separated\r\ninto 4 octets (8 bit numbers).<P>\r\nAn example:  192.168.1.1<P>\r\nWith IPv6, the length of an IP address\r\nis extended dramatically.  DNSTools\r\nv2.0 does nto support IPv6.  It is\r\nplanned for a later release.');
INSERT INTO help_table VALUES (8, 'registered_ip', 'The difference between a registered\r\nIP address and a non-registered IP\r\naddress is simply the type of name\r\nresolution the DNS server will provide\r\nfor that entry.<P>\r\nIf an IP address is registered within\r\nDNSTools, then the DNS server will return\r\nboth forward (name to IP) resolution and\r\nbackwards (IP to name) resolution.<P>\r\nIf an IP address is not registered within\r\nDNSTools, then the DNS server will\r\nonly return forward (name to IP) resolution.<P>\r\nWhile a lookup based on a single name\r\ncan result in multiple IP addresses,\r\na lookup based on a single IP will\r\nonly return a single name.  This name\r\nwill reside in the domain that is\r\nauthoritative for the IP address.<P>\r\nYou can point a hostname in your domain\r\nto an external IP address even if you\r\ndo not own the IP address yourself. Keep\r\nin mind you will have to add it as a\r\nnon-registered IP address because you\r\ndo not have authority for the IP address.');
INSERT INTO help_table VALUES (9, 'hinfo_1', 'The HINFO fields were once used for\r\nolder applications to determine how to\r\ncommunicate with other applications\r\nacross the internet.<P>\r\nNow they are generally used for record\r\nkeeping purposes or for simple information\r\nabout the machine.<P>\r\nNOTE: It is not recommended that you\r\nkeep sensitive information or information\r\nthat might lead to a security breach\r\nin these fields.  These fields will\r\nbe accessible to any user who has\r\nthe ability to query this name server.<P>');
INSERT INTO help_table VALUES (10, 'hinfo_2', 'The HINFO fields were once used for\r\nolder applications to determine how to\r\ncommunicate with other applications\r\nacross the internet.<P>\r\nNow they are generally used for record\r\nkeeping purposes or for simple information\r\nabout the machine.<P>\r\nNOTE: It is not recommended that you\r\nkeep sensitive information or information\r\nthat might lead to a security breach\r\nin these fields.  These fields will\r\nbe accessible to any user who has\r\nthe ability to query this name server.<P>');
INSERT INTO help_table VALUES (11, 'list_hosts', 'This screen shows all hosts within the\r\ndomain that you selected.<P>\r\nYou can sort this screen by either the\r\nhostname or the IP address of each\r\nentry by simply clicking on the column\r\nheader you wish to sort on.<P>\r\nYou can add an alias (CNAME) or a\r\nRound Robin IP address to any entry\r\nlisted on this screen by clicking the\r\n<img src="/dnstools/images/icons/ultra-small-alias.gif"></img> or\r\n<img src="/dnstools/images/icons/ultra-small-round-robin.gif"></img>,\r\nbuttons, respectively.<P>\r\nTo View, Modify or Delete a host, click\r\non the\r\n<img src="/dnstools/images/icons/ultra-small-view.gif"></img>,\r\n<img src="/dnstools/images/icons/ultra-small-modify.gif"></img> or\r\n<img src="/dnstools/images/icons/ultra-small-delete.gif"></img>\r\nbuttons, respectively.<P>');
INSERT INTO help_table VALUES (12, 'add_round_robin', 'In this screen you can add a single\r\nRound Robin IP address to this host.<P>\r\nThere is no limit to the number of\r\nRound Robin IP addresses a host can\r\nhave, but you must enter them individually.<P>\r\nTo find out more about Round Robin IP\r\naddresses, click on the field name in\r\nthe screen next to the data entry\r\nfield.');
INSERT INTO help_table VALUES (13, 'full_hostname', 'This field simply shows the full\r\nhostname prepended to the domain name\r\nit belongs in.<P>\r\nExample:  hostname.domain.com');
INSERT INTO help_table VALUES (14, 'round_robin_ip', 'A Round Robin IP address is an additional\r\nIP address that is associated with a host.<P>\r\nRound Robin IP addresses are specifically\r\ndesigned to provide alternating IP\r\naddress to queries for this host.<P>\r\nA common example would be a heavily loaded\r\nweb server on the internet.  By spreading\r\nthis web server over 3 separate physical\r\nmachines it can handle the load much better.\r\nBut to be able to access each of these\r\nmachines with the same name, you need\r\nRound Robin IP addresses.  Every time\r\na new request is made for the IP address\r\nfor the web server, your DNS server\r\nwill hand out the next Round Robin IP\r\naddress in the list.<P>\r\nPlease note that this is not clustering\r\nin any sense, and it does not provide\r\nfor intelligent fail over.  This is\r\na simple way of handing out multiple\r\nIP addresses for a single name.');

INSERT INTO `user_table` (`record`, `user_name`, `password`, `full_name`, `work_phone`, `mobile_phone`, `pager_number`, `fax_number`, `email`,
  `address`, `notes`, `dnstools_administrator`) VALUES ('', 'dnsadmin', PASSWORD('dnsadmin'), 'DNS Tools Administrator', '', '', '', '', '', '', '', 'YES');

INSERT INTO `global_table` (`data_directory`, `bind_configuration_file`, `log_file_name`, `log_level`, `company_name`, `company_address`, `contact_info`, `administrator_email`, `cache_only_server`, `forward_only_server`, `recursive_server`, `active_transfers_per_server`, `total_active_transfers`, `duration_of_transfer`, `data_segment_size`, `data_segment_size_scale`, `stack_size`, `stack_size_scale`, `core_size`, `core_size_scale`, `max_open_files`, `cleaning_interval`, `statistics_interval`, `database_is_locked`, `needs_update`) VALUES ('/var/dns', '/etc/named.conf', '/tmp/dnstools.log', '1', 'Your Company Name Here', 'Your Company Address Here', '', 'your_email@your_company.com', 'NO', 'NO', 'YES', '8', '16', '30', '16', 'k', '32', 'm', '64', 'm', '128', '240', '60', 'NO', 'NO');
